| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
vector_ulp.hpp File Reference

GLM_EXT_vector_ulp More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, int, Q > | floatDistance (vec< L, float, Q > const &x, vec< L, float, Q > const &y)
| Return the distance in the number of ULP between 2 single-precision floating-point scalars. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, int64, Q > | floatDistance (vec< L, double, Q > const &x, vec< L, double, Q > const &y)
| Return the distance in the number of ULP between 2 double-precision floating-point scalars. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | nextFloat (vec< L, T, Q > const &x)
| Return the next ULP value(s) after the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | nextFloat (vec< L, T, Q > const &x, int ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | nextFloat (vec< L, T, Q > const &x, vec< L, int, Q > const &ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | prevFloat (vec< L, T, Q > const &x)
| Return the previous ULP value(s) before the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | prevFloat (vec< L, T, Q > const &x, int ULPs)
| Return the value(s) ULP distance before the input value(s). More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | prevFloat (vec< L, T, Q > const &x, vec< L, int, Q > const &ULPs)
| Return the value(s) ULP distance before the input value(s). More...

## Detailed Description

GLM_EXT_vector_ulp

Definition in file vector_ulp.hpp.